import 'package:cherry_flutter/cherry_flutter.dart';
import 'package:example/widgets/widgets.dart';
import 'package:flutter/material.dart';

class DividerDemo extends StatelessWidget {
  const DividerDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(title: Text('Divider Page')),
      body: SingleChildScrollView(
        padding: EdgeInsets.symmetric(horizontal: 20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            CommonTitle(title: '默认'),
            CHDivider(),
            CommonTitle(title: 'hairline-0.5px 1px'),
            CHDivider(hairline: true, lineColor: Colors.red),
            CommonTitle(title: '自定义height'),
            CHDivider(height: 2),
            CommonTitle(title: 'lineColor'),
            CHDivider(lineColor: Colors.red, hairline: true),
            SizedBox(height: 20),
            CHDivider(lineColor: Colors.red),
            CommonTitle(title: 'indent'),
            CHDivider(indent: 20),
            SizedBox(height: 20),
            CHDivider(indent: 10, endIndent: 20),
          ],
        ),
      ),
    );
  }
}
